| ghc-6.10.4: The GHC API | Contents | Index

ParserCoreUtils

Documentation
data ParseResult a

Constructors

OkP a |
FailP String |

type P a = String -> Int -> ParseResult a
thenP :: P a -> (a -> P b) -> P b
returnP :: a -> P a
failP :: String -> P a
getCoreModuleName :: FilePath -> IO String
data Token

Constructors

TKmodule |
TKdata |
TKnewtype |
TKforall |
TKrec |
TKlet |
TKin |
TKcase |
TKof |
TKcast |
TKnote |
TKexternal |
TKlocal |
TKwild |
TKoparen |
TKcparen |
TKobrace |
TKcbrace |
TKhash |
TKeq |
TKcolon |
TKcoloncolon |
TKcoloneqcolon |
TKstar |
TKrarrow |
TKlambda |
TKat |
TKdot |
TKquestion |
TKsemicolon |
TKname String |
TKcname String |
TKinteger Integer |
TKrational Rational |
TKstring String |
TKchar Char |
TKEOF |

Produced by Haddock version 2.4.2